classification
Title: 'calendar' module is crummy and should be removed
Type: enhancement Stage:
Components: None Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, brett.cannon, dotz, skip.montanaro
Priority: normal Keywords:

Created on 2009-01-18 19:36 by dotz, last changed 2009-01-19 00:58 by skip.montanaro. This issue is now closed.

Messages (4)
msg80115 - (view) Author: MichaƂ Pasternak (dotz) Date: 2009-01-18 19:36
I was looking for some library to handle calendar events. Something PIM-
style, something useful, that could check if, for example, 2 weekly 
repeated events that start on Monday morning and last until December 
conflict with each other.

Then I found 'calendar' module in the standard library.

My question: how this thing ever made it to the standard library?

Maybe it was useful back in the days, if somebody could not get BSD or 
GNU sources for cal(1) . Nowadays, even if it is able to print HTML 
calendars, lets face it - who will use that functionality? You can 
easily find HTML calendars with a lot of JavaScript support, that can be 
customised in a thousands of ways.

I suggest we delete this module completly.
msg80118 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-01-18 19:47
We cannot just remove modules because of backwards compatibility. Feel
free to submit patches for improvements you would like to see in the module.
msg80133 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-01-18 22:33
The other option is to propose its removal on python-dev, get support,
and then submit patches for the module's deprecation.
msg80140 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2009-01-19 00:58
Look at the oldest checkin comment for a line still in the module:

  r2166 | guido | 1990-10-13 14:23:40 -0500 (Sat, 13 Oct 1990) | 2 lines

  Initial revision

In short, it's been there for a long, long time.  Long before PEPs.  
Long before Tkinter.  Long before cmath.  Probably long before any code 
which would satisfy your needs was written.  Of all the checkin comments 
for lines still in the current trunk, calendar.py has code which is 
within a few revisions of the earliest code in the repository.

Skip
History
Date User Action Args
2009-01-19 00:58:05skip.montanarosetnosy: + skip.montanaro
messages: + msg80140
2009-01-18 22:33:31brett.cannonsetnosy: + brett.cannon
messages: + msg80133
2009-01-18 19:47:10benjamin.petersonsetstatus: open -> closed
resolution: rejected
messages: + msg80118
nosy: + benjamin.peterson
2009-01-18 19:36:51dotzcreate